<?php

function unl_avatars_init() {
    elgg_register_page_handler('pg', 'unl_avatars_pg_handler');
    elgg_register_plugin_hook_handler('entity:icon:url', 'user', 'unl_avatars_alter_default_user_icons', 999);
}

// Fire up the plugin initialization using the elgg handler
elgg_register_event_handler('init','system','unl_avatars_init');

function unl_avatars_pg_handler($segments) {
    if (!isset($segments[0])) {
        return false;
    }
    
    if ('profile' == $segments[0]) {
        return unl_avatars_pg_profile($segments);
    }
    
    if ('icon' == $segments[0]) {
        return unl_avatars_pg_icon($segments);
    }
    
    return false;
}

function unl_avatars_pg_icon($segments) {
    if (!isset($segments[1], $segments[2])) {
        return false;
    }

    $username = $segments[1];
    $size = $segments[2];

    if (!$user = get_user_by_username($username)) {
        //The legacy behavior was to return the default image rather than a 404
        forward(elgg_get_simplecache_url("icons/user/default{$size}.gif"));
    }

    //Forward to the new guy
    forward('mod/profile/icondirect.php?guid='.$user->guid.'&size='.$size);
}

function unl_avatars_pg_profile($segments) {
    if (!isset($segments[1])) {
        return false;
    }

    forward('profile/'.$segments[1]);
}

    
function unl_avatars_alter_default_user_icons($hook, $type, $returnValue, $params) {
    //Always point to the icondirect.php file
    $icon_time = $params['entity']->icontime;
    $value = 'mod/profile/icondirect.php?lastcache='.$icon_time.'&guid='.$params['entity']->guid.'&size='.$params['size'];
    return $value;
}
