<?php

$amdConfig = _elgg_services()->amdConfig->getConfig();

// Deps are loaded in page/elements/foot with require([...])
unset($amdConfig['deps']);

// Require is currently an Elgg shim. Convert it to a RequireJS config
?>
// <script>

var elgg_require_config = <?php echo json_encode($amdConfig, JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES); ?>;
<?php unset($amdConfig['baseUrl']); ?>
var unl_require_config = <?php echo json_encode($amdConfig, JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES); ?>;

//load jquery-ui ourselves from the framework and override the global $ variable.
/**
 * Elgg ships with is own baseUrl, which conflicts with the framework baseUrl.
 * So, we need to
 * 1) remove Elgg's base url (in favor of the framework's)
 * 2) define absolute paths to elgg's modules (see start.php)
 */
if (typeof WDN !== 'undefined') {
    require.config(unl_require_config);
    
    require(['jquery', 'jqueryui'], function($) {
        window.$ = $;
        window.jQuery = $;
    });
} else {
    require = elgg_require_config;
}

// Note we don't process the require() queue yet because it may require('elgg')
// and we have to load that synchronously a little later
