<?php
/**
 * Page shell for all HTML pages
 *
 * @uses $vars['head']        Parameters for the <head> element
 * @uses $vars['body_attrs']  Attributes of the <body> tag
 * @uses $vars['body']        The main content of the page
 */
// Set the content type
header("Content-type: text/html; charset=UTF-8");

$lang = get_current_language();

$attrs = "";
if (isset($vars['body_attrs'])) {
	$attrs = elgg_format_attributes($vars['body_attrs']);
	if ($attrs) {
		$attrs = " $attrs";
	}
}

use UNL\Templates\Templates;

$unl_template = Templates::factory('Local', Templates::VERSION_5_3);

$wdn_include_path = elgg_get_root_path();
if (file_exists($wdn_include_path . '/wdn/templates_5.3')) {
	$unl_template->setLocalIncludePath($wdn_include_path);
}

$unl_template->navlinks = elgg_view_menu('site', array(
    'sort_by' => 'priority'
));

$unl_template->breadcrumbs = "<!-- WDN: see glossary item \'breadcrumbs\' --> <ol> <li class=\"first\"><a href=\"http://www.unl.edu/\">UNL</a></li>  <li><a href='".elgg_get_site_url()."'>Planet Red</a></li> </ol>";
$unl_template->maincontentarea = $vars['body'];
$unl_template->titlegraphic = '<a class="dcf-txt-h5" href="' . elgg_get_site_url() . '">Planet Red</a>';
$unl_template->pagetitle ="";
$unl_template->doctitle ="<title>UNL | Planet Red | ".$vars["title"]." </title>";
$unl_template->affiliation ="";
$unl_template->head .= $vars['head'];
$unl_template->jsbody = '<script src="' . elgg_get_site_url() . 'mod/unl_theme/js/planetred.js"></script>';

echo $unl_template;
